OGRE: Ogre::NumericKeyFrame Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::NumericKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which stores any numeric value. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::NumericKeyFrame:
[legend]

## Public Member Functions
| NumericKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~NumericKeyFrame ()
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only).
const Any & | getValue (void) const
| Get the value at this keyframe.
void | setValue (const Any &val)
| Set the value at this keyframe.
Public Member Functions inherited from Ogre::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which stores any numeric value.

## Constructor & Destructor Documentation

## ◆ NumericKeyFrame()

Ogre::NumericKeyFrame::NumericKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~NumericKeyFrame()

Ogre::NumericKeyFrame::~NumericKeyFrame | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getValue()

const Any & Ogre::NumericKeyFrame::getValue | ( | void |  | ) | const
| inline

Get the value at this keyframe.

## ◆ setValue()

void Ogre::NumericKeyFrame::setValue | ( | const Any & | val | ) |
| inline

Set the value at this keyframe.

All keyframe values must have a consistent type.

## ◆ _clone()

KeyFrame * Ogre::NumericKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| overridevirtual

Clone a keyframe (internal use only).

Reimplemented from Ogre::KeyFrame.

References Ogre::KeyFrame::KeyFrame().

The documentation for this class was generated from the following file:

- OgreKeyFrame.h